## pdfsam 3.3.5

=== pdfsam-dmg/Makefile ===
#
# Build file for creating DMG files.
#
# The DMG packager looks for a template.dmg.bz2 for using as its 
# DMG template. If it doesn't find one, it generates a clean one.
#
# If you create a DMG template, you should make one containing all
# the files listed in $(SOURCE_FILES) below, and arrange everything to suit
# your style. The contents of the files themselves does not matter, so
# they can be empty (they will be overwritten later). 
#
# Remko Tronçon 
# https://el-tramo.be
# Licensed under the MIT License. See COPYING for details.


################################################################################
# Customizable variables
################################################################################

NAME ?= PDFsam
VERSION ?= 3.0.0.RELEASE

SOURCE_DIR ?= release
SOURCE_FILES ?= PDFsam.app

TEMPLATE_DMG ?= template.dmg
TEMPLATE_SIZE ?= 200m

################################################################################
# DMG building. No editing should be needed beyond this point.
################################################################################

MASTER_DMG=$(NAME)-$(VERSION).dmg
WC_DMG=wc.dmg
WC_DIR=wc

.PHONY: all
all: $(MASTER_DMG)

$(TEMPLATE_DMG): $(TEMPLATE_DMG).bz2
	bunzip2 -k $<

$(TEMPLATE_DMG).bz2: 
	@echo
	@echo --------------------- Generating empty template --------------------
	mkdir template
	hdiutil create -fs HFSX -layout SPUD -size $(TEMPLATE_SIZE) "$(TEMPLATE_DMG)" -srcfolder template -format UDRW -volname "$(NAME)" -quiet
	rmdir template
	bzip2 "$(TEMPLATE_DMG)"
	@echo

$(WC_DMG): $(TEMPLATE_DMG)
	cp $< $@

$(MASTER_DMG): $(WC_DMG) $(addprefix $(SOURCE_DIR)/,$(SOURCE_FILES))
	@echo
	@echo --------------------- Creating Disk Image --------------------
	mkdir -p $(WC_DIR)
	hdiutil attach "$(WC_DMG)" -noautoopen -quiet -mountpoint "$(WC_DIR)"
	for i in $(SOURCE_FILES); do  \
		rm -rf "$(WC_DIR)/$$i"; \
		ditto -rsrc "$(SOURCE_DIR)/$$i" "$(WC_DIR)/$$i"; \
	done
	#rm -f "$@"
	#hdiutil create -srcfolder "$(WC_DIR)" -format UDZO -imagekey zlib-level=9 "$@" -volname "$(NAME) $(VERSION)" -scrub -quiet
	WC_DEV=`hdiutil info | grep "$(WC_DIR)" | grep "Apple_HFS" | awk '{print $$1}'` && \
	hdiutil detach $$WC_DEV -quiet -force
	rm -f "$(MASTER_DMG)"
	hdiutil convert "$(WC_DMG)" -quiet -format UDZO -imagekey zlib-level=9 -o "$@"
	rm -rf $(WC_DIR)
	@echo

.PHONY: clean
clean:
	-rm -rf $(TEMPLATE_DMG) $(MASTER_DMG) $(WC_DMG)

## pdfsam 1.1.4

=== debian/changelog ===
pdfsam (1.1.4-2) unstable; urgency=low

  [ Miguel Landaeta ]
  * Team upload.

  [ Jari Aalto ]
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Change obsolete depends default-jdk-builddep to default-jdk.
    (Closes: #669258).
  * Add new libcommons-httpclient-java due to pdfsam-maine-br1/ant/build.xml.
  * Add javahelper depends and debian/*.classpath file.
  * Fix duplicate-in-relation-field (Lintian).
  * Fix vcs-field-uses-not-recommended-uri-format Lintian (Closes: #669031).
  * Fix classpath-contains-relative-path (Lintian) with javahelper.

 -- Miguel Landaeta <miguel@miguel.cc>  Wed, 18 Apr 2012 19:16:33 -0430

pdfsam (1.1.4-1) unstable; urgency=low

  * New upstream release.
  * Switch to source format 3.0.
  * Update Standards-Version: 3.8.4.
  * Remove build directory in clean target.
  * Convert patches to dep3 format.
  * Switch to java-wrappers and prefer openjdk. (Closes: #568545)

 -- Torsten Werner <twerner@debian.org>  Sun, 25 Apr 2010 20:48:50 +0200

pdfsam (1.1.3-1) unstable; urgency=low

  * New upstream release

 -- Torsten Werner <twerner@debian.org>  Fri, 05 Jun 2009 23:16:21 +0200

pdfsam (1.1.2-1) unstable; urgency=low

  * New upstream release
  * Fix start scripts. (Closes: #521585)
  * Bump up Standards-Version: 3.8.1 (no changes).
  * Add Depends: ${misc:Depends}.

 -- Torsten Werner <twerner@debian.org>  Sun, 12 Apr 2009 19:36:15 +0200

pdfsam (1.1.1-2) unstable; urgency=low

  [ Miguel Landaeta ]
  * Change Depends: openjdk-6-jre | java2-runtime. (Closes: #519235)

 -- Torsten Werner <twerner@debian.org>  Wed, 25 Mar 2009 22:05:07 +0100

pdfsam (1.1.1-1) unstable; urgency=low

  * New upstream release
  * Refresh patch run.diff.

 -- Torsten Werner <twerner@debian.org>  Tue, 17 Feb 2009 22:48:35 +0100

pdfsam (1.1.0-1) unstable; urgency=low

  * New upstream release
  * Refresh our patches.

 -- Torsten Werner <twerner@debian.org>  Thu, 01 Jan 2009 01:40:52 +0100

pdfsam (1.0.3-1) unstable; urgency=low

  * new upstream release
  * Add missing copyright information.
  * Upload package again. (Closes: #496687)
  * Refresh the patches.

 -- Torsten Werner <twerner@debian.org>  Mon, 03 Nov 2008 21:15:23 +0100

pdfsam (1.0.1-1) unstable; urgency=low

  * Initial release. (Closes: #496687)

 -- Torsten Werner <twerner@debian.org>  Tue, 26 Aug 2008 20:36:24 +0200

=== debian/control ===
Source: pdfsam
Section: text
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Torsten Werner <twerner@debian.org>
Build-Depends: ant, cdbs, debhelper (>= 9), default-jdk,
 libdom4j-java, libitext-java (>= 2), libjaxen-java, libjgoodies-looks-java,
 liblog4j1.2-java, javahelper
Standards-Version: 3.9.3
Homepage: http://www.pdfsam.org
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/pdfsam
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/pdfsam/

Package: pdfsam
Architecture: all
Depends: openjdk-6-jre | java2-runtime, libdom4j-java, libitext-java,
 libjaxen-java, libjgoodies-looks-java, liblog4j1.2-java, ${misc:Depends},
 java-wrappers, ${java:Depends}, libcommons-httpclient-java
Description: PDF Split and Merge
 PDF Split and Merge is a very simple, easy to use, free, open source
 utility to split and merge pdf files. It has a simple graphical
 interface to let the user choose pdf files, split or merge them.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/javahelper.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME            := /usr/lib/jvm/default-java
DEB_ANT_BUILDFILE    := debian/build.xml
DEB_JARS             := dom4j itext jaxen log4j-1.2 looks
DEB_ANT_BUILD_TARGET := -Dbuild.dir=$(CURDIR)/build
DEB_CLASSPATH        := $(DEB_CLASSPATH):$(CURDIR)/build/jcmdline/build:$(CURDIR)/build/emp4j/build:$(CURDIR)/build/pdfsam-console/build:$(CURDIR)/build/pdfsam-langpack-br1/build:$(CURDIR)/build/pdfsam-maine-br1/build:

clean::
	$(RM) -rf build

install/pdfsam::
	for JAR in $(DEB_JARS); do \
	  dh_link /usr/share/java/$$JAR.jar /usr/share/pdfsam/lib/$$JAR.jar; \
	done
	install -D pdfsam-maine-br1/bin/run.sh \
	  $(DEB_DESTDIR)/usr/bin/pdfsam
	install -D pdfsam-maine-br1/bin/run-console.sh \
	  $(DEB_DESTDIR)/usr/bin/pdfsam-console

get-orig-source:
	uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename

=== debian/watch ===
version=3
http://sf.net/pdfsam/ pdfsam-([\d\.]*)-out-src.zip debian debian/orig-tar.sh

## pdfsam 3.3.2

=== debian/changelog ===
pdfsam (3.3.2-2) unstable; urgency=medium

  * Upload to unstable.
  * Tighten dependency on libhibernate-validator-java to >= 4.3.3-2.

 -- Markus Koschany <apo@debian.org>  Tue, 19 Sep 2017 09:29:37 +0200

pdfsam (3.3.2-1) experimental; urgency=medium

  * New upstream version 3.3.2.
  * Depend on libsambox-java and liblogback-java.
    Thanks to Michael Weghorn for the report. (Closes: #874372)
  * Tighten build-dependency on libsejda-java and libsambox-java.
  * pdfsam.poms: Remove --has-package-version flag.
  * get-orig-source: Use xz compression and repack the tarball.

 -- Markus Koschany <apo@debian.org>  Fri, 15 Sep 2017 23:30:40 +0200

pdfsam (3.2.5-1) experimental; urgency=medium

  * New upstream version. (Closes: #635964)
    - Null pointer exception was fixed. (Closes: #779058)
    - pdfsam-console does no longer exist. (Closes: #792467)
    - i18n localization works as expected now. (Closes: #714394)
    - The update manager is disabled by default now. (Closes: #796805)
    - jgoodies-common is no longer a required dependency. (Closes: #714304)
  * New build system Maven.
  * Add myself to Uploaders and remove Thorsten Werner because he is not active
    anymore.

 -- Markus Koschany <apo@debian.org>  Thu, 31 Aug 2017 13:24:56 +0200

pdfsam (1.1.4-4) unstable; urgency=medium

  * Team upload.
  * Add a NEWS file and inform users, who upgrade from Jessie to Stretch,
    to modify the LAF theme value in ~/.pdfsam/config.xml. (Closes: #855324)

 -- Markus Koschany <apo@debian.org>  Sat, 20 May 2017 20:22:36 +0200

pdfsam (1.1.4-3) unstable; urgency=medium

  * Team upload.
  * Add change-default-LAF-theme.patch and set the LAF setting to 0.
    Thanks to Philip Rinn for the report. (Closes: #855324)
  * Fix Lintian error "depends on obsolete package" and depend on default-jre
    instead of openjdk-6-jre.
  * Use secure canonical Vcs-address.

 -- Markus Koschany <apo@debian.org>  Sun, 05 Mar 2017 20:30:27 +0100

=== debian/control ===
Source: pdfsam
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 debhelper (>= 10),
 default-jdk,
 junit4,
 libatinject-jsr330-api-java,
 libbcmail-java,
 libbcprov-java,
 libcommons-io-java,
 libcommons-lang3-java,
 libfontawesomefx-java,
 libgettext-commons-java,
 libgettext-maven-plugin-java,
 libhibernate-validator-java (>= 4.3.3-2),
 libjackson2-jr-java,
 liblogback-java,
 libplexus-classworlds-java,
 libsambox-java (>= 1.1.6),
 libsejda-eventstudio-java,
 libsejda-injector-java,
 libsejda-java (>= 3.2.2-2),
 libslf4j-java (>= 1.7.21),
 maven-debian-helper,
 openjfx
Standards-Version: 4.1.0
Vcs-Git: https://anonscm.debian.org/git/pkg-java/pdfsam.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-java/pdfsam.git
Homepage: http://www.pdfsam.org

Package: pdfsam
Architecture: all
Depends:
 default-jre (>= 2:1.8) | java8-runtime,
 libhibernate-validator-java (>= 4.3.3-2),
 liblogback-java,
 libsambox-java,
 openjfx,
 ${maven:Depends},
 ${misc:Depends}
Suggests:
 ${maven:OptionalDepends}
Description: PDF Split and Merge
 PDF Split and Merge is a very simple, easy to use, free, open source utility
 to split and merge pdf files. It has a simple graphical interface to let the
 user choose pdf files, split or merge them.

=== debian/rules ===
#!/usr/bin/make -f

LINK_JARS := slf4j-api logback-core logback-classic
LINK_JARS += atinject-jsr330-api-1.0 sejda-injector fontawesomefx jackson-jr-objects
LINK_JARS += jackson-core hibernate-validator bcmail bcprov fontbox2 sejda-io sambox
LINK_JARS += sejda-core sejda-conversion gettext-commons geronimo-validation sejda-model
LINK_JARS += commons-io eventstudio commons-lang3 sejda-sambox sejda-fonts sejda-injector
LINK_JARS += jboss-logging jcl-over-slf4j

%:
	dh $@

override_dh_install:
	cp $(CURDIR)/pdfsam-community/src/deb/icon.svg $(CURDIR)/debian/pdfsam.svg
	dh_install
	$(RM) -r $(CURDIR)/debian/pdfsam/usr/share/maven-repo

override_dh_link:
	for JAR in $(LINK_JARS); do \
		dh_link /usr/share/java/$$JAR.jar /usr/share/pdfsam/lib/$$JAR.jar; \
	done
	dh_link /usr/share/pdfsam/bin/pdfsam.sh /usr/bin/pdfsam

override_dh_clean:
	dh_clean
	$(RM) $(CURDIR)/debian/pdfsam.svg

override_dh_fixperms:
	dh_fixperms
	chmod a+x $(CURDIR)/debian/pdfsam/usr/share/pdfsam/bin/pdfsam.sh

get-orig-source:
	uscan --download-current-version --force-download --repack --compression xz

## pdfsam 3.3.5

=== debian/changelog ===
pdfsam (3.3.5-1) unstable; urgency=medium

  * New upstream version 3.3.5.
  * d/rules: Symlink the unversioned jar for javax.inject api.

 -- Markus Koschany <apo@debian.org>  Sun, 26 Nov 2017 22:07:40 +0100

pdfsam (3.3.4-1) unstable; urgency=medium

  * New upstream version 3.3.4.

 -- Markus Koschany <apo@debian.org>  Thu, 26 Oct 2017 22:55:36 +0200

pdfsam (3.3.3-1) unstable; urgency=medium

  * New upstream version 3.3.3.
  * d/control: Change section back to text again.
  * Declare compliance with Debian Policy 4.1.1.
  * Tighten B-D on libsejda-java.
  * Provide a simple manpage for pdfsam.

 -- Markus Koschany <apo@debian.org>  Fri, 13 Oct 2017 16:33:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: pdfsam
-Section: java
+Section: text
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders:
@@ -23,11 +23,11 @@
  libsambox-java (>= 1.1.6),
  libsejda-eventstudio-java,
  libsejda-injector-java,
- libsejda-java (>= 3.2.2-2),
+ libsejda-java (>= 3.2.29),
  libslf4j-java (>= 1.7.21),
  maven-debian-helper,
  openjfx
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/pdfsam.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-java/pdfsam.git
 Homepage: http://www.pdfsam.org
@@ -39,6 +39,7 @@
  libhibernate-validator-java (>= 4.3.3-2),
  liblogback-java,
  libsambox-java,
+ libsejda-java (>= 3.2.29),
  openjfx,
  ${maven:Depends},
  ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #!/usr/bin/make -f
 
 LINK_JARS := slf4j-api logback-core logback-classic
-LINK_JARS += atinject-jsr330-api-1.0 sejda-injector fontawesomefx jackson-jr-objects
+LINK_JARS += atinject-jsr330-api sejda-injector fontawesomefx jackson-jr-objects
 LINK_JARS += jackson-core hibernate-validator bcmail bcprov fontbox2 sejda-io sambox
-LINK_JARS += sejda-core sejda-conversion gettext-commons geronimo-validation sejda-model
+LINK_JARS += sejda-core sejda-conversion gettext-commons geronimo-validation-1.0-spec sejda-model
 LINK_JARS += commons-io eventstudio commons-lang3 sejda-sambox sejda-fonts sejda-injector
 LINK_JARS += jboss-logging jcl-over-slf4j

## pdfsam 4.0.1

=== debian/changelog ===
pdfsam (4.0.1-1~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1814133.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Feb 2019 13:44:21 +0100

pdfsam (4.0.1-1) unstable; urgency=medium

  * New upstream version 4.0.1
  * Declare compliance with Debian Policy 4.3.0.
  * Use canonical VCS URI.

 -- Markus Koschany <apo@debian.org>  Sat, 12 Jan 2019 21:28:05 +0100

pdfsam (4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0.
  * Drop fontawesomefx.patch and javafx.patch. Fixed upstream.
  * Rebase pdfsam-bin.patch.
  * Don't install logback.xml separately because it is included in pdfsam-basic
    now.

 -- Markus Koschany <apo@debian.org>  Sat, 22 Dec 2018 21:02:59 +0100

pdfsam (3.3.7-1) unstable; urgency=medium

  * New upstream version 3.3.7.
  * Switch to compat level 11.
  * Add javafx.patch and port PDFsam to use OpenJFX 11. (Closes: #886394)
  * Add fontawesomefx.patch and make PDFsam compatible with version 9.1.2 of
    fontawesomefx.
  * Add libcommons-csv-java to B-D.
  * Declare compliance with Debian Policy 4.2.1.
  * Update pdfsam-bin.patch and work around Debian bug #910764. Use
    -Djdk.gtk.version=2.

 -- Markus Koschany <apo@debian.org>  Wed, 24 Oct 2018 20:45:43 +0200

=== debian/control ===
Source: pdfsam
Section: text
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 debhelper (>= 11),
 default-jdk,
 junit4,
 libatinject-jsr330-api-java,
 libbcmail-java,
 libbcprov-java,
 libcommons-csv-java,
 libcommons-io-java,
 libcommons-lang3-java,
 libfontawesomefx-java (>= 9.1.2),
 libgettext-commons-java,
 libgettext-maven-plugin-java,
 libhibernate-validator-java (>= 4.3.3-2),
 libjackson2-jr-java,
 liblogback-java,
 libplexus-classworlds-java,
 libsambox-java (>= 1.1.41),
 libsejda-eventstudio-java,
 libsejda-injector-java,
 libsejda-java (>= 3.2.56),
 libslf4j-java (>= 1.7.21),
 maven-debian-helper,
 openjfx (>= 11)
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/java-team/pdfsam.git
Vcs-Browser: https://salsa.debian.org/java-team/pdfsam
Homepage: http://www.pdfsam.org

Package: pdfsam
Architecture: all
Depends:
 default-jre (>= 2:1.9) | java9-runtime,
 libfontawesomefx-java (>= 9.1.2),
 libhibernate-validator-java (>= 4.3.3-2),
 liblogback-java,
 libsambox-java (>= 1.1.41),
 libsejda-java (>= 3.2.56),
 openjfx (>= 11),
 ${maven:Depends},
 ${misc:Depends}
Suggests:
 ${maven:OptionalDepends}
Description: PDF Split and Merge
 PDF Split and Merge is a very simple, easy to use, free, open source utility
 to split and merge pdf files. It has a simple graphical interface to let the
 user choose pdf files, split or merge them.

=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,18 @@
 #!/usr/bin/make -f
 
 LINK_JARS := slf4j-api logback-core logback-classic
-LINK_JARS += atinject-jsr330-api sejda-injector fontawesomefx jackson-jr-objects
+LINK_JARS += atinject-jsr330-api sejda-injector fontawesomefx-fontawesome jackson-jr-objects
 LINK_JARS += jackson-core hibernate-validator bcmail bcprov fontbox2 sejda-io sambox
 LINK_JARS += sejda-core sejda-conversion gettext-commons geronimo-validation-1.0-spec sejda-model
 LINK_JARS += commons-io eventstudio commons-lang3 sejda-sambox sejda-fonts sejda-injector
-LINK_JARS += jboss-logging jcl-over-slf4j
+LINK_JARS += jboss-logging jcl-over-slf4j fontawesomefx-materialdesignfont fontawesomefx-materialicons
+LINK_JARS += javafx-base javafx-controls javafx-media javafx-graphics fontawesomefx-commons
 
 %:
 	dh $@
 
 override_dh_install:
-	cp $(CURDIR)/pdfsam-community/src/deb/icon.svg $(CURDIR)/debian/pdfsam.svg
+	cp $(CURDIR)/pdfsam-basic/src/deb/icon.svg $(CURDIR)/debian/pdfsam.svg
 	dh_install
 	$(RM) -r $(CURDIR)/debian/pdfsam/usr/share/maven-repo

## pdfsam 4.0.3

=== debian/changelog ===
pdfsam (4.0.3-1) unstable; urgency=medium

  * New upstream version 4.0.3.
  * Switch to debhelper-compat = 12.
  * Declare compliance with Debian Policy 4.4.0.
  * Remove get-orig-source target.

 -- Markus Koschany <apo@debian.org>  Sun, 21 Jul 2019 16:17:58 +0200

## pdfsam 4.0.4

=== debian/changelog ===
pdfsam (4.0.4-1ubuntu2~20.04) focal; urgency=medium

  * Backport from Groovy.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Wed, 23 Sep 2020 03:52:16 +0000

pdfsam (4.0.4-1ubuntu2) groovy; urgency=medium

  * Add dependency on libtomcat9-embed-java and require newer
    libsejda-java and libhibernate-validator-java. (LP: #1887142)

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Wed, 23 Sep 2020 00:40:25 +0000

pdfsam (4.0.4-1) unstable; urgency=medium

  * New upstream version 4.0.4.

 -- Markus Koschany <apo@debian.org>  Tue, 10 Sep 2019 13:50:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: pdfsam
 Section: text
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders:
  Markus Koschany <apo@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  default-jdk,
  junit4,
  libatinject-jsr330-api-java,
@@ -17,18 +18,18 @@
  libfontawesomefx-java (>= 9.1.2),
  libgettext-commons-java,
  libgettext-maven-plugin-java,
- libhibernate-validator-java (>= 4.3.3-2),
+ libhibernate-validator-java (>= 5.3.6),
  libjackson2-jr-java,
  liblogback-java,
  libplexus-classworlds-java,
  libsambox-java (>= 1.1.41),
  libsejda-eventstudio-java,
  libsejda-injector-java,
- libsejda-java (>= 3.2.56),
+ libsejda-java (>= 3.2.84),
  libslf4j-java (>= 1.7.21),
  maven-debian-helper,
  openjfx (>= 11)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/java-team/pdfsam.git
 Vcs-Browser: https://salsa.debian.org/java-team/pdfsam
 Homepage: http://www.pdfsam.org
@@ -42,6 +43,7 @@
  liblogback-java,
  libsambox-java (>= 1.1.41),
  libsejda-java (>= 3.2.56),
+ libtomcat9-embed-java (>= 9.0),
  openjfx (>= 11),
  ${maven:Depends},
  ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 LINK_JARS := slf4j-api logback-core logback-classic
 LINK_JARS += atinject-jsr330-api sejda-injector fontawesomefx-fontawesome jackson-jr-objects
-LINK_JARS += jackson-core hibernate-validator bcmail bcprov fontbox2 sejda-io sambox
-LINK_JARS += sejda-core sejda-conversion gettext-commons geronimo-validation-1.0-spec sejda-model
+LINK_JARS += jackson-core tomcat9-embed-el classmate hibernate-validator bcmail bcprov fontbox2 sejda-io sambox
+LINK_JARS += sejda-core sejda-conversion gettext-commons geronimo-validation-1.1-spec sejda-model
 LINK_JARS += commons-io eventstudio commons-lang3 sejda-sambox sejda-fonts sejda-injector
 LINK_JARS += jboss-logging jcl-over-slf4j fontawesomefx-materialdesignfont fontawesomefx-materialicons
 LINK_JARS += javafx-base javafx-controls javafx-media javafx-graphics fontawesomefx-commons
@@ -29,6 +29,3 @@
 override_dh_fixperms:
 	dh_fixperms
 	chmod a+x $(CURDIR)/debian/pdfsam/usr/share/pdfsam/bin/pdfsam.sh
-
-get-orig-source:
-	uscan --download-current-version --force-download --repack --compression xz

## pdfsam 4.2.2

=== debian/changelog ===
pdfsam (4.2.2-1) unstable; urgency=medium

  * New upstream version 4.2.2.

 -- Markus Koschany <apo@debian.org>  Sun, 31 Jan 2021 16:05:13 +0100

pdfsam (4.2.1-1) unstable; urgency=medium

  * New upstream version 4.2.1.
  * Declare compliance with Debian Policy 4.5.1.

 -- Markus Koschany <apo@debian.org>  Tue, 24 Nov 2020 01:26:23 +0100

pdfsam (4.2.0-2) unstable; urgency=medium

  * Fix stackoverflow error when closing the application. (Closes: #973125)

 -- Markus Koschany <apo@debian.org>  Mon, 09 Nov 2020 13:26:44 +0100

pdfsam (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0.
  * Remove obsolete sejda-injector symlink.
  * Drop sejda-4.1-compatibility.patch. Fixed upstream.

 -- Markus Koschany <apo@debian.org>  Sat, 07 Nov 2020 23:41:52 +0100

pdfsam (4.1.4-1) unstable; urgency=medium

  * New upstream version 4.1.4
  * Switch to debhelper-compat = 13
  * Declare compliance with Debian Policy 4.5.0.
  * Tighten build-dependency on libsejda-eventstudio-java.
  * Build-depend on libhibernate-validator4-java.

 -- Markus Koschany <apo@debian.org>  Mon, 26 Oct 2020 15:14:51 +0100

=== debian/control ===
Source: pdfsam
Section: text
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 junit4,
 libatinject-jsr330-api-java,
 libbcmail-java,
 libbcprov-java,
 libcommons-csv-java,
 libcommons-io-java,
 libcommons-lang3-java,
 libfontawesomefx-java (>= 9.1.2),
 libgettext-commons-java,
 libgettext-maven-plugin-java,
 libhibernate-validator4-java (>= 4.3.3-2),
 libjackson2-jr-java,
 liblogback-java,
 libplexus-classworlds-java,
 libsambox-java (>= 2.2.3),
 libsejda-eventstudio-java (>= 2.0.0),
 libsejda-injector-java,
 libsejda-java (>= 4.1.1),
 libslf4j-java (>= 1.7.21),
 maven-debian-helper,
 openjfx (>= 11)
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/java-team/pdfsam.git
Vcs-Browser: https://salsa.debian.org/java-team/pdfsam
Homepage: http://www.pdfsam.org

Package: pdfsam
Architecture: all
Depends:
 default-jre (>= 2:1.9) | java9-runtime,
 libfontawesomefx-java (>= 9.1.2),
 libhibernate-validator4-java (>= 4.3.3-2),
 liblogback-java,
 libsambox-java (>= 2.2.3),
 libsejda-java (>= 4.1.1),
 openjfx (>= 11),
 ${maven:Depends},
 ${misc:Depends}
Suggests:
 ${maven:OptionalDepends}
Description: PDF Split and Merge
 PDF Split and Merge is a very simple, easy to use, free, open source utility
 to split and merge pdf files. It has a simple graphical interface to let the
 user choose pdf files, split or merge them.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
 LINK_JARS := slf4j-api logback-core logback-classic
-LINK_JARS += atinject-jsr330-api sejda-injector fontawesomefx-fontawesome jackson-jr-objects
-LINK_JARS += jackson-core tomcat9-embed-el classmate hibernate-validator bcmail bcprov fontbox2 sejda-io sambox
-LINK_JARS += sejda-core sejda-conversion gettext-commons geronimo-validation-1.1-spec sejda-model
-LINK_JARS += commons-io eventstudio commons-lang3 sejda-sambox sejda-fonts sejda-injector
+LINK_JARS += atinject-jsr330-api fontawesomefx-fontawesome jackson-jr-objects
+LINK_JARS += jackson-core hibernate-validator4 bcmail bcprov fontbox2 sejda-io sejda-commons sambox
+LINK_JARS += sejda-core sejda-conversion gettext-commons geronimo-validation-1.0-spec sejda-model
+LINK_JARS += commons-io eventstudio commons-lang3 sejda-sambox sejda-fonts pdfsam-injector
 LINK_JARS += jboss-logging jcl-over-slf4j fontawesomefx-materialdesignfont fontawesomefx-materialicons
 LINK_JARS += javafx-base javafx-controls javafx-media javafx-graphics fontawesomefx-commons

## pdfsam 4.2.12

=== debian/changelog ===
pdfsam (4.2.12-1) unstable; urgency=medium

  * New upstream version 4.2.12.

 -- Markus Koschany <apo@debian.org>  Fri, 11 Feb 2022 12:01:50 +0100

pdfsam (4.2.10-1) unstable; urgency=medium

  * New upstream version 4.2.10.

 -- Markus Koschany <apo@debian.org>  Sat, 25 Dec 2021 19:33:30 +0100

pdfsam (4.2.8-1) unstable; urgency=medium

  * New upstream version 4.2.8.
  * Link to thumbnailator.jar file.

 -- Markus Koschany <apo@debian.org>  Sat, 20 Nov 2021 23:18:38 +0100

pdfsam (4.2.7-1) unstable; urgency=medium

  * New upstream version 4.2.7.

 -- Markus Koschany <apo@debian.org>  Sat, 02 Oct 2021 01:09:56 +0200

pdfsam (4.2.6-1) unstable; urgency=medium

  * New upstream version 4.2.6.
  * Declare compliance with Debian Policy 4.6.0.

 -- Markus Koschany <apo@debian.org>  Tue, 07 Sep 2021 09:56:56 +0200

=== debian/control ===
--- 
+++ 
@@ -21,14 +21,14 @@
  libjackson2-jr-java,
  liblogback-java,
  libplexus-classworlds-java,
- libsambox-java (>= 2.2.3),
+ libsambox-java (>= 2.2.19),
  libsejda-eventstudio-java (>= 2.0.0),
  libsejda-injector-java,
- libsejda-java (>= 4.1.1),
+ libsejda-java (>= 4.2.6),
  libslf4j-java (>= 1.7.21),
  maven-debian-helper,
  openjfx (>= 11)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/java-team/pdfsam.git
 Vcs-Browser: https://salsa.debian.org/java-team/pdfsam
 Homepage: http://www.pdfsam.org
@@ -40,8 +40,8 @@
  libfontawesomefx-java (>= 9.1.2),
  libhibernate-validator4-java (>= 4.3.3-2),
  liblogback-java,
- libsambox-java (>= 2.2.3),
- libsejda-java (>= 4.1.1),
+ libsambox-java (>= 2.2.19),
+ libsejda-java (>= 4.2.6),
  openjfx (>= 11),
  ${maven:Depends},
  ${misc:Depends}

## pdfsam 4.3.3

=== debian/changelog ===
pdfsam (4.3.3-1) unstable; urgency=medium

  * New upstream version 4.3.3.
  * Declare compliance with Debian Policy 4.6.1.

 -- Markus Koschany <apo@debian.org>  Thu, 11 Aug 2022 01:52:44 +0200

## pdfsam 4.3.4

=== debian/changelog ===
pdfsam (4.3.4-2) unstable; urgency=medium

  [ Julien Plissonneau Duquène ]
  * Team upload.
  * Promote Standards-Version to 4.7.2 with no change.

  [ Bas Couwenberg ]
  * Fix maven.rules for gettext-commons. (Closes: #1095365)

 -- Julien Plissonneau Duquène <sre4ever@free.fr>  Sat, 29 Mar 2025 21:44:58 +0000

pdfsam (4.3.4-1) unstable; urgency=medium

  * New upstream version 4.3.4.

 -- Markus Koschany <apo@debian.org>  Sun, 13 Nov 2022 00:25:57 +0100

=== debian/control ===
--- 
+++ 
@@ -21,14 +21,14 @@
  libjackson2-jr-java,
  liblogback-java,
  libplexus-classworlds-java,
- libsambox-java (>= 2.2.19),
+ libsambox-java (>= 2.4.24),
  libsejda-eventstudio-java (>= 2.0.0),
  libsejda-injector-java,
- libsejda-java (>= 4.2.6),
+ libsejda-java (>= 4.3.14),
  libslf4j-java (>= 1.7.21),
  maven-debian-helper,
  openjfx (>= 11)
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/java-team/pdfsam.git
 Vcs-Browser: https://salsa.debian.org/java-team/pdfsam
 Homepage: http://www.pdfsam.org

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 LINK_JARS += sejda-core sejda-conversion gettext-commons geronimo-validation-1.0-spec sejda-model
 LINK_JARS += commons-io eventstudio commons-lang3 sejda-sambox sejda-fonts pdfsam-injector
 LINK_JARS += jboss-logging jcl-over-slf4j fontawesomefx-materialdesignfont fontawesomefx-materialicons
-LINK_JARS += javafx-base javafx-controls javafx-media javafx-graphics fontawesomefx-commons
+LINK_JARS += javafx-base javafx-controls javafx-media javafx-graphics fontawesomefx-commons thumbnailator
 
 %:
 	dh $@
